Commit from LXDE Pootle server by user sotrud_nik.: 217 of 295 strings translated...
[lxde/pcmanfm.git] / autogen.sh
... / ...
CommitLineData
1#! /bin/sh
2AC_VERSION=
3
4AUTOMAKE=${AUTOMAKE:-automake}
5AM_INSTALLED_VERSION=$($AUTOMAKE --version | sed -e '2,$ d' -e 's/.* \([0-9]*\.[0-9]*\).*/\1/')
6
7# FIXME: we need a better way for version check later.
8case "$AM_INSTALLED_VERSION" in
9 1.1[0-9])
10 ;;
11 *)
12 echo
13 echo "You must have automake 1.10 or newer installed."
14 echo "Install the appropriate package for your distribution,"
15 echo "or get the source tarball at http://ftp.gnu.org/gnu/automake/"
16 exit 1
17 ;;
18esac
19
20set -x
21
22if [ "x${ACLOCAL_DIR}" != "x" ]; then
23 ACLOCAL_ARG=-I ${ACLOCAL_DIR}
24fi
25
26${ACLOCAL:-aclocal$AM_VERSION} ${ACLOCAL_ARG}
27${AUTOHEADER:-autoheader$AC_VERSION} --force
28AUTOMAKE=$AUTOMAKE intltoolize -c --automake --force
29$AUTOMAKE --add-missing --copy --include-deps
30${AUTOCONF:-autoconf$AC_VERSION}
31
32rm -rf autom4te.cache